package cokr.xit.ens.modules.common.ctgy.intgrnbill.support.code;

import cokr.xit.ens.core.code.CodeMapperType;


/**
 * <ul>
 * <li>업무 그룹명: 청구서API - 청구서 구분 코드</li>
 * <li>설 명: </li>
 * <li>작성일: 2022. 9. 20. 오후 3:51:43
 * </ul>
 *
 * @author 박민규
 */
public enum BillSeCd implements CodeMapperType {

    bpKko("카카오페이 청구서"),
    bpNv("네이버페이 간편결제"),
    privt("전자문서 벤더사의 결제시스템"),
    all("모든 벤더사의 결제시스템"),
    ;

    private final String code;     
    private final String codeNm;   

    BillSeCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getCodeNm() {
        return this.codeNm;
    }
}
